## org.apache.poi.ss.formula.ptg
Class RefNPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperandPtg
              org.apache.poi.ss.formula.ptg.RefPtgBase
                  org.apache.poi.ss.formula.ptg.RefNPtg

All Implemented Interfaces:
  java.lang.Cloneable

    public final class RefNPtg

extends RefPtgBase

RefNPtg

Author:
  Jason Height (jheight at apache dot com)

Field Summary
`static byte` `sid`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`RefNPtg(LittleEndianInput in)`

Method Summary
`protected byte` `getSid()`
`int` `getSize()`
`java.lang.String` `toFormulaString()` return a string representation of this token alone
`java.lang.String` `toString()` Overridden toString method to ensure object hash is not printed.
`void` `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.RefPtgBase
`formatReferenceAsString, getColumn, getDefaultOperandClass, getRow, isColRelative, isRowRelative, readCoordinates, setColRelative, setColumn, setRow, setRowRelative, writeCoordinates`

Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### RefNPtg

    public RefNPtg(LittleEndianInput in)

Method Detail

### getSid

    protected byte getSid()

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### toFormulaString

    public final java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getSize

    public final int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### toString

    public final java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.